# OpenFailException (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.connection.channel
Class OpenFailException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  net.schmizz.sshj.common.SSHException
                      net.schmizz.sshj.connection.ConnectionException
                          net.schmizz.sshj.connection.channel.OpenFailException

All Implemented Interfaces:
  Serializable

    public class OpenFailException

extends ConnectionException

See Also:
  Serialized Form

Nested Class Summary
`static class` `OpenFailException.Reason`

Field Summary

Fields inherited from class net.schmizz.sshj.connection.ConnectionException
`chainer`

Constructor Summary
`OpenFailException(String channelType, int reasonCode, String message)`
`OpenFailException(String channelType, OpenFailException.Reason reason, String message)`

Method Summary
`String` `getChannelType()`
`String` `getMessage()`
`OpenFailException.Reason` `getReason()`
`String` `toString()`

Methods inherited from class net.schmizz.sshj.common.SSHException
`getDisconnectReason`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpenFailException

    public OpenFailException(String channelType,
                             int reasonCode,
                             String message)

### OpenFailException

    public OpenFailException(String channelType,
                             OpenFailException.Reason reason,
                             String message)

Method Detail

### getChannelType

    public String getChannelType()

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `SSHException`

### getReason

    public OpenFailException.Reason getReason()

### toString

    public String toString()

  Overrides:
    `toString` in class `SSHException`

Copyright © 2009-2011. All Rights Reserved.